%define build_firefox 1
%define ext_guid '{a6ca9b3b-5e52-4f47-85d8-cca35bb57596}'
%define ext_desc \\\
Sage is a lightweight RSS and Atom feed reader extension \\\
for Mozilla Firefox. It's got a lot of what you need and \\\
not much of what you don't. \\\
\\\
What does Sage do?\\\
\\\
    * Reads RSS (2.0, 1.0, 0.9x) and Atom feeds\\\
    * Newspaper feed rendering customizable via style sheets\\\
    * Feed Discovery\\\
    * Integrates with Firefox's bookmark system\\\
    * Imports and exports OPML feed lists\\\

Name: sage
License: MPL
Group: Applications/Internet
Summary: Sage - lightweight RSS and Atom feed extendion for Firefox
Version: 1.4.6
Release: 1%{?dist}
URL: https://addons.mozilla.org/en-US/firefox/addon/77/
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: %{name}-%{version}-fx.xpi
Source100: mozilla-extension-update.sh
ExclusiveArch: i386 x86_64
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: unzip

%description
%{ext_desc}

%if %{build_firefox}

%define update_firefox \\\
  %{_libdir}/firefox-%{name}/mozilla-extension-update.sh --appname firefox \\\
  --extname %{ext_guid} --basedir %{_libdir} --extpath %{_libdir}/firefox-%{name} --action


%package -n firefox-%{name}
Summary: Sage - lightweight RSS and Atom feed extendion for Firefox
Obsoletes: firefox-add-on-sage-too
Requires: firefox
Group: Applications/Internet

%description -n firefox-%{name}
%{ext_desc}

%post -n firefox-%{name}
%{update_firefox} install ||:

%preun -n firefox-%{name}
if [ $1 = 0 ]; then
 %{update_firefox} remove ||:
fi 

%triggerin -n firefox-%{name} -- firefox
%{update_firefox} install ||:

%files -n firefox-%{name}
%defattr(-,root,root,-)
%{_libdir}/firefox-%{name}
%{_libdir}/firefox-%{name}/*

%endif #build_firefox

%build

%install

%define real_src %{SOURCE0}
%ifarch x86_64
%define real_src %{SOURCE0}
%endif

%if %{build_firefox}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/firefox-%{name}
unzip -qod $RPM_BUILD_ROOT%{_libdir}/firefox-%{name} %{real_src}
install -p -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_libdir}/firefox-%{name}/mozilla-extension-update.sh
%endif

%changelog

* Thu Jun 17 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 2.2
- Initial release for slc5
- Modeled this package on Lubomir Rintel one from EPEL for thunderbird-lightning.
